# To use the Python SDK, install the plugin:
# pip install --upgrade pinecone pinecone-plugin-assistant
from pinecone import Pinecone
pc = Pinecone(api_key=YOUR_API_KEY)
assistant = pc.assistant.update_assistant(
assistant_name="test",
instructions="Use American English for spelling and grammar.",
region="us" # Region to deploy assistant. Options: "us" (default) or "eu".
)
import { Pinecone } from '@pinecone-database/pinecone';
const pc = new Pinecone({ apiKey: 'YOUR_API_KEY' });
await pc.updateAssistant('example-assistant', {
instructions: 'Use American English for spelling and grammar.',
});
PINECONE_API_KEY="YOUR_API_KEY"
ASSISTANT_NAME="example-assistant"
curl -X PATCH "https://api.pinecone.io/assistant/assistants/$ASSISTANT_NAME" \
-H "Api-Key: $PINECONE_API_KEY" \
-H "Content-Type: application/json" \
-H "X-Pinecone-Api-Version: 2025-01" \
-d '{
"instructions": "Use American English for spelling and grammar.",
"region":"us"
}'
{
"name":"example-assistant",
"instructions":"Use American English for spelling and grammar.",
"metadata":{"updated":"2024-09-30"},
"status":"Ready",
"created_at":"2024-06-14T14:58:06.573004549Z",
"updated_at":"2024-10-01T19:44:32.813235817Z"
}
Assistants
Update an assistant
Update an existing assistant. You can modify the assistant’s instructions.
For guidance and examples, see Manage assistants.
PATCH
/
assistants
/
{assistant_name}
# To use the Python SDK, install the plugin:
# pip install --upgrade pinecone pinecone-plugin-assistant
from pinecone import Pinecone
pc = Pinecone(api_key=YOUR_API_KEY)
assistant = pc.assistant.update_assistant(
assistant_name="test",
instructions="Use American English for spelling and grammar.",
region="us" # Region to deploy assistant. Options: "us" (default) or "eu".
)
import { Pinecone } from '@pinecone-database/pinecone';
const pc = new Pinecone({ apiKey: 'YOUR_API_KEY' });
await pc.updateAssistant('example-assistant', {
instructions: 'Use American English for spelling and grammar.',
});
PINECONE_API_KEY="YOUR_API_KEY"
ASSISTANT_NAME="example-assistant"
curl -X PATCH "https://api.pinecone.io/assistant/assistants/$ASSISTANT_NAME" \
-H "Api-Key: $PINECONE_API_KEY" \
-H "Content-Type: application/json" \
-H "X-Pinecone-Api-Version: 2025-01" \
-d '{
"instructions": "Use American English for spelling and grammar.",
"region":"us"
}'
{
"name":"example-assistant",
"instructions":"Use American English for spelling and grammar.",
"metadata":{"updated":"2024-09-30"},
"status":"Ready",
"created_at":"2024-06-14T14:58:06.573004549Z",
"updated_at":"2024-10-01T19:44:32.813235817Z"
}
# To use the Python SDK, install the plugin:
# pip install --upgrade pinecone pinecone-plugin-assistant
from pinecone import Pinecone
pc = Pinecone(api_key=YOUR_API_KEY)
assistant = pc.assistant.update_assistant(
assistant_name="test",
instructions="Use American English for spelling and grammar.",
region="us" # Region to deploy assistant. Options: "us" (default) or "eu".
)
import { Pinecone } from '@pinecone-database/pinecone';
const pc = new Pinecone({ apiKey: 'YOUR_API_KEY' });
await pc.updateAssistant('example-assistant', {
instructions: 'Use American English for spelling and grammar.',
});
PINECONE_API_KEY="YOUR_API_KEY"
ASSISTANT_NAME="example-assistant"
curl -X PATCH "https://api.pinecone.io/assistant/assistants/$ASSISTANT_NAME" \
-H "Api-Key: $PINECONE_API_KEY" \
-H "Content-Type: application/json" \
-H "X-Pinecone-Api-Version: 2025-01" \
-d '{
"instructions": "Use American English for spelling and grammar.",
"region":"us"
}'
{
"name":"example-assistant",
"instructions":"Use American English for spelling and grammar.",
"metadata":{"updated":"2024-09-30"},
"status":"Ready",
"created_at":"2024-06-14T14:58:06.573004549Z",
"updated_at":"2024-10-01T19:44:32.813235817Z"
}
Authorizations
Pinecone API Key
Path Parameters
The name of the assistant to update.
Body
application/json
The desired configuration updates for the assistant.
Was this page helpful?
⌘I